<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Reservations</title>
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-GLhlTQ8iRABdZLl6O3oVMWSktQOp6b7In1Zl3/Jr59b6EGGoI1aFkw7cmDA6j6gD" crossorigin="anonymous">
  </head>
    </head>
    <body>
        {% include 'layout/navbar.html' %}

        <div class="container">
            <h1 class="my-5 text-center">Mes réservations</h1>

            {% for message in messages %}
            <div class="mb-3 alert alert-success">
                <div class="text-center">{{ message }}</div>
            </div>
            {% endfor %}

            <div class="row">
                {% for reservation in reservations %}
                    <div class="my-2 col-4">
                        <div class="h-100 card" style="width: 18rem;">
                            <div class="card-header bg-dark text-white">
                                <h5 class="card-title text-center"><strong class=" align-middle">{{ reservation.event.school.name }}</strong></h5>
                            </div>
                            <div class="card-body">
                                <h5 class="card-text"><strong>{{ reservation.event.title }}</strong></h5>
                                {% load i18n %}
                                {% language 'fr' %}
                                    <p class="card-text">{{ reservation.event.date|date:"l d F Y"|capfirst }} à {{ reservation.event.date|time:"H:i" }}</p>
                                {% endlanguage %}
                                <p class="card-text fw-light">{{ reservation.event.description }}</p>
                
                            </div>
                            <div class="card-footer">
                                <button class="w-100 btn btn-danger" onclick="cancelReservation('{{ reservation.id }}')">Annuler</button>
                            </div>
                        </div>
                    </div>
                {% endfor %}
            </div>
        </div>

        {% csrf_token %}

        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js" integrity="sha384-w76AqPfDkMBDXo30jS1Sgez6pr3x5MlQ1ZAGC+nuZB+EYdgRZgiwxhTBTkF7CXvN" crossorigin="anonymous"></script>

        <script>
            // Send fetch request to cancel Reservation and refresh the page
            function cancelReservation(reservation_id) {
                var csrftoken = '{{ csrf_token }}';

                fetch('/reservations/' + reservation_id,  {
                    method: 'DELETE',
                    headers: {'X-CSRFTOKEN': csrftoken}
                })
                .then((response) => {
                    if (response.ok) {
                        location.reload()
                    }
                    throw new Error('Something went wrong');
                })
                .catch((error) => {
                    console.log(error)
                });   
            }
        </script>
    </body>
</html>